#!/usr/bin/env python3.2

################################################################################ 

# Jiehan ZHENG,
# 北京四中研学之用.

# flag 将被放置于输出文件的第三列, 约定:
#    R - 被重置:    被 RESET 方法封锁.
#    P - 正常:    没有发现异常.

################################################################################

import urllib.request
import sys

def try_access(domain_name):
    testee = 'http://%s/' % domain_name
    headers = {'User-Agent': 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/534.24 (KHTML, like Gecko) Ubuntu/11.04'}
    try:
        req = urllib.request.Request(testee, None, headers)
        result = urllib.request.urlopen(req, None, 10)
        
        return True
    except:
        # 发生了异常，该站点无法访问
        print("[!] 无法访问")
        return False


def main():
    list_filename = sys.argv[1]
    
    list_file = open(list_filename)
    domain_names = list_file.readlines()
    
    report_file = open('report-1', 'w')
    
    for domain_name in domain_names:
        domain_name = domain_name.strip()
        
        flags = ''
                
        print('>>> 正在测试 "%s": ' % domain_name)

        if try_access(domain_name) == True:
            flags = 'P'
            print('[~] PASS\n')
        else:
            flags = 'F'
            print('[!] FAIL...\n')
        
        report_file.write('%s\t%s\n' % (domain_name, flags))


if __name__ == '__main__':
    main()
